package com.mudu.controller;

import com.mudu.base.domain.AjaxResult;
import com.mudu.entity.dto.request.ACheckRequest;
import com.mudu.entity.dto.response.ACheckResponse;
import com.mudu.service.ACheckService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import static com.mudu.base.domain.AjaxResult.success;

/**
 * @author dong
 * @since 2024/3/11 15:46
 */
@RestController
@RequestMapping("pharmaceuticals/aCheck")
@Api(tags = "检查点查询")
@Transactional(rollbackFor = Exception.class)
public class ACheckController {


    @Autowired
    private ACheckService aCheckService;

    /**
     * 查询所有检查点数据
     *
     * @param  aCheckRequest
     * @Param qymc 企业名称
     */
    @PostMapping("/checkData")
    @ApiOperation(value = "查询所有检查点数据", response = ACheckResponse.class)
    public AjaxResult selectAll(@RequestBody ACheckRequest aCheckRequest ) {

        return success(aCheckService.selectAll(aCheckRequest));
    }





}
