package com.mudu.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author dong
 * @since 2024/3/14 13:21
 */
@Data
@ApiModel("定时任务自查实体类")
public class ACheckQuatzZichaEntity {

    /**
     * 企业id
     */
    @ApiModelProperty(value = "企业id")
    private String enterpriseID;


    /**
     * 工单id
     */
    @ApiModelProperty(value = "工单id")
    private String taskId;


    /**
     * 风险点id
     */
    @ApiModelProperty(value = "风险点id")
    private String checkId;

    /**
     * 风险点id
     */
    @ApiModelProperty(value = "人员id")
    private String addUserID;


    /**
     * 风险点位置编号
     */
    @ApiModelProperty(value = "企业风险点位置编号")
    private String fxbh;

    /**
     * 市风险点位置编号
     */
    @ApiModelProperty(value = "市风险点位置编号")
    private String sfxdbh;


    /**
     * 企业风险位置编号
     */
    @ApiModelProperty(value = "企业风险位置编号")
    private String wzbh;


    /**
     * 设备数量
     */
    @ApiModelProperty(value = "设备数量")
    private Integer sbsl;


    /**
     * 风险点编号
     */
    @ApiModelProperty(value = "风险点编号")
    private String fxdbh;

    /**
     * a_safe_fxdxxbh
     */
    @ApiModelProperty(value = "a_safe_fxdxxbh")
    private String fxdxxbh;


    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;


    /**
     * 图片id
     */
    @ApiModelProperty(value = "图片id")
    private String imgId;

    /**
     * 创建时间
     */
    @ApiModelProperty("上报时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportDateTime;


    /**
     * 检查时间
     */
    @ApiModelProperty("检查时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date addDateTime;



    /**
     * 检查时间
     */
    @ApiModelProperty("结束时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDateTime;

}
