package com.mudu.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.mudu.entity.dto.response.EnterpriseResponse;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.text.NumberFormat;
import java.util.Date;


/**
 * (ASafeQyjcxx)表实体类
 *
 * @author wu
 * @since 2024-02-26 10:43:24
 */
@Getter
@Setter
@ApiModel("实体类")
@TableName(value = "a_safe_qyjcxx")
public class ASafeQyjcxx implements Serializable {

    private static final long serialVersionUID = -50281110442061251L;
    private String xxbh;
    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    private String qymc;
    /**
     * 其他名称
     */
    @ApiModelProperty(value = "其他名称")
    private String qtmc;
    /**
     * 统一社会信用编码
     */
    @ApiModelProperty(value = "统一社会信用编码")
    private String tyshxybm;
    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private Double jd;
    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private Double wd;
    /**
     * 注册地址
     */
    @ApiModelProperty(value = "注册地址")
    private String zcdz;
    /**
     * 经营地址
     */
    @ApiModelProperty(value = "经营地址")
    private String jydz;
    /**
     * 是否自有房屋
     */
    @ApiModelProperty(value = "是否自有房屋")
    private Integer zyfw;
    /**
     * 房东性质
     */
    @ApiModelProperty(value = "房东性质")
    private String fdxz;
    /**
     * 房东企业名称
     */
    @ApiModelProperty(value = "房东企业名称")
    private String fdqymc;
    /**
     * 房东企业信用代码
     */
    @ApiModelProperty(value = "房东企业信用代码")
    private String fdqyxydm;
    /**
     * 房东企业联系人
     */
    @ApiModelProperty(value = "房东企业联系人")
    private String fdqylxr;
    /**
     * 房东企业联系电话
     */
    @ApiModelProperty(value = "房东企业联系电话")
    private String fdqylxdh;
    /**
     * 是否发包出租
     */
    @ApiModelProperty(value = "是否发包出租")
    private Integer sffbcz;
    /**
     * 是否异地经营
     */
    @ApiModelProperty(value = "是否异地经营")
    private Integer sfydjy;
    /**
     * 行政区划编号
     */
    @ApiModelProperty(value = "行政区划编号")
    private String xzqhbh;
    /**
     * 行政区划名称
     */
    @ApiModelProperty(value = "行政区划名称")
    private String xzqhmc;
    /**
     * 行政区划内部编码
     */
    @ApiModelProperty(value = "行政区划内部编码")
    private String xzqhnbbm;
    /**
     * 网格编号
     */
    @ApiModelProperty(value = "网格编号")
    private String wgbh;
    /**
     * 网格名称
     */
    @ApiModelProperty(value = "网格名称")
    private String wgmc;
    /**
     * 成立日期
     */
    @ApiModelProperty(value = "成立日期")
    private Date clrq;
    /**
     * 企业性质ID
     */
    @ApiModelProperty(value = "企业性质ID")
    private String qyxzid;
    /**
     * 企业性质VALUE
     */
    @ApiModelProperty(value = "企业性质VALUE")
    private String qyxzvalue;
    /**
     * 行业类别门类ID
     */
    @ApiModelProperty(value = "行业类别门类ID")
    private String hylbmlid;
    /**
     * 行业类别门类VALUE
     */
    @ApiModelProperty(value = "行业类别门类VALUE")
    private String hylbmlvalue;
    /**
     * 行业类别大类ID
     */
    @ApiModelProperty(value = "行业类别大类ID")
    private String hylbdlid;
    /**
     * 行业类别大类VALUE
     */
    @ApiModelProperty(value = "行业类别大类VALUE")
    private String hylbdlvalue;
    /**
     * 行业类别中类ID
     */
    @ApiModelProperty(value = "行业类别中类ID")
    private String hylbzlid;
    /**
     * 行业类别中类VALUE
     */
    @ApiModelProperty(value = "行业类别中类VALUE")
    private String hylbzlvalue;
    /**
     * 行业类别小类ID
     */
    @ApiModelProperty(value = "行业类别小类ID")
    private String hylbxlid;
    /**
     * 行业类别小类VALUE
     */
    @ApiModelProperty(value = "行业类别小类VALUE")
    private String hylbxlvalue;
    /**
     * 注册资本
     */
    @ApiModelProperty(value = "注册资本")
    private String zczb;
    /**
     * 企业规模ID
     */
    @ApiModelProperty(value = "企业规模ID")
    private String qygmid;
    /**
     * 企业国模VALUE
     */
    @ApiModelProperty(value = "企业国模VALUE")
    private String qygmvalue;
    /**
     * 从业人员数量
     */
    @ApiModelProperty(value = "从业人员数量")
    private String cyrysl;
    /**
     * 行业监管大类id
     */
    @ApiModelProperty(value = "行业监管大类id")
    private String hyjgdlid;
    /**
     * 行业监管大类value
     */
    @ApiModelProperty(value = "行业监管大类value")
    private String hyjgdlvalue;
    /**
     * 行业监管种类ID
     */
    @ApiModelProperty(value = "行业监管种类ID")
    private String hyjgzlid;
    /**
     * 行业监管种类VALUE
     */
    @ApiModelProperty(value = "行业监管种类VALUE")
    private String hyjgzlvalue;
    /**
     * 行业监管小类ID
     */
    @ApiModelProperty(value = "行业监管小类ID")
    private String hyjgxlid;
    /**
     * 行业监管小类VALUE
     */
    @ApiModelProperty(value = "行业监管小类VALUE")
    private String hyjgxlvalue;
    /**
     * 安全生产标准化等级ID
     */
    @ApiModelProperty(value = "安全生产标准化等级ID")
    private String aqscdjid;
    /**
     * 经营范围
     */
    @ApiModelProperty(value = "经营范围")
    private String jyfw;
    /**
     * 有限空间-主要危险因素
     */
    @ApiModelProperty(value = "有限空间-主要危险因素")
    private String yxkjZywxys;
    /**
     * 粉尘涉爆-粉尘种类
     */
    @ApiModelProperty(value = "粉尘涉爆-粉尘种类")
    private String fcsbFczl;
    /**
     * 粉尘涉爆-主要涉粉工艺
     */
    @ApiModelProperty(value = "粉尘涉爆-主要涉粉工艺")
    private String fcsbZysffy;
    /**
     * 粉尘涉爆-单班涉粉作业人数
     */
    @ApiModelProperty(value = "粉尘涉爆-单班涉粉作业人数")
    private String fcsbDbsfzyrs;
    /**
     * 粉尘涉爆-除尘器信息
     */
    @ApiModelProperty(value = "粉尘涉爆-除尘器信息")
    private String fcsbCcqxx;
    /**
     * 粉尘涉爆-除尘系统是否经过验收
     */
    @ApiModelProperty(value = "粉尘涉爆-除尘系统是否经过验收")
    private String fcsbSfjgys;
    /**
     * 粉尘涉爆-是否有安全评价
     */
    @ApiModelProperty(value = "粉尘涉爆-是否有安全评价")
    private String fcsbSfyap;
    /**
     * 企业标签
     */
    @ApiModelProperty(value = "企业标签")
    private String qybq;
    /**
     * 粉尘涉爆-备注
     */
    @ApiModelProperty(value = "粉尘涉爆-备注")
    private String fcsbBz;
    /**
     * 涉氨制冷-液氨储存、使用量
     */
    @ApiModelProperty(value = "涉氨制冷-液氨储存、使用量")
    private String sazlYaccsyl;
    /**
     * 涉案制冷-涉氨作业人数
     */
    @ApiModelProperty(value = "涉案制冷-涉氨作业人数")
    private String sazlSazyrs;
    /**
     * 涉案制冷-进行重大危险源安全评估
     */
    @ApiModelProperty(value = "涉案制冷-进行重大危险源安全评估")
    private String sazlZdwxyaqpg;
    /**
     * 机械铸造-年产量
     */
    @ApiModelProperty(value = "机械铸造-年产量")
    private String jxzzNcl;
    /**
     * 机械铸造-主要产品/重点产品
     */
    @ApiModelProperty(value = "机械铸造-主要产品/重点产品")
    private String jxzzZycpzdpz;
    /**
     * 机械铸造-高温熔融金属类型
     */
    @ApiModelProperty(value = "机械铸造-高温熔融金属类型")
    private String jxzzGwrrjslx;
    /**
     * 机械铸造-涉高温熔融金属岗位人数
     */
    @ApiModelProperty(value = "机械铸造-涉高温熔融金属岗位人数")
    private String jxzzSgwrrjsgwrs;
    /**
     * 机械铸造-吊运熔融金属起重机-数量
     */
    @ApiModelProperty(value = "机械铸造-吊运熔融金属起重机-数量")
    private String jxzzQzjsl;
    /**
     * 机械铸造-是否检验
     */
    @ApiModelProperty(value = "机械铸造-是否检验")
    private String jxzzSfjy;
    /**
     * 机械铸造-熔炼炉信息
     */
    @ApiModelProperty(value = "机械铸造-熔炼炉信息")
    private String jxzzRlljrxx;
    /**
     * 机械铸造-铸造信息
     */
    @ApiModelProperty(value = "机械铸造-铸造信息")
    private String jxzzZzxx;
    /**
     * 铝镁切削-废屑类型
     */
    @ApiModelProperty(value = "铝镁切削-废屑类型")
    private String lmqxFxlx;
    /**
     * 铝镁切削-涉粉作业人员人数
     */
    @ApiModelProperty(value = "铝镁切削-涉粉作业人员人数")
    private String lmqxSfzyryrs;
    /**
     * 铝镁切削-清理频次
     */
    @ApiModelProperty(value = "铝镁切削-清理频次")
    private String lmqxQlpc;
    /**
     * 旅美切削-粉尘/废屑储存方式
     */
    @ApiModelProperty(value = "旅美切削-粉尘/废屑储存方式")
    private String lmqxCcfs;
    /**
     * 旅美切削-粉尘/废屑回收单位
     */
    @ApiModelProperty(value = "旅美切削-粉尘/废屑回收单位")
    private String lmqxFcfxhsdw;
    /**
     * 旅美切削-回收频次
     */
    @ApiModelProperty(value = "旅美切削-回收频次")
    private String lmqxHspc;
    /**
     * 高镁合金-高美含量信息
     */
    @ApiModelProperty(value = "高镁合金-高美含量信息")
    private String gmhjMhl;
    /**
     * 危险化学品-是否有安全三同时手续
     */
    @ApiModelProperty(value = "危险化学品-是否有安全三同时手续")
    private String wxhxpSfyaqstssx;
    /**
     * 危险化学品-是否做安全评价
     */
    @ApiModelProperty(value = "危险化学品-是否做安全评价")
    private String wxhxpSfzaqpj;
    /**
     * 危险化学品-开展安全评价及备案情况日期
     */
    @ApiModelProperty(value = "危险化学品-开展安全评价及备案情况日期")
    private String wxhxpKzaqpjjbaqkrq;
    /**
     * 有色企业-年产量
     */
    @ApiModelProperty(value = "有色企业-年产量")
    private String ysqyNcl;
    /**
     * 有色企业-主要产品/重点产品
     */
    @ApiModelProperty(value = "有色企业-主要产品/重点产品")
    private String ysqyZycp;
    /**
     * 有色企业-高温熔融金属类型
     */
    @ApiModelProperty(value = "有色企业-高温熔融金属类型")
    private String ysqyGwrrjslx;
    /**
     * 有色企业-涉高温熔融金属岗位人数
     */
    @ApiModelProperty(value = "有色企业-涉高温熔融金属岗位人数")
    private String ysqySgwrrjsgwrs;
    /**
     * 有色企业-熔炼炉信息
     */
    @ApiModelProperty(value = "有色企业-熔炼炉信息")
    private String ysqyRlljrxx;
    /**
     * 有色企业-铸造信息
     */
    @ApiModelProperty(value = "有色企业-铸造信息")
    private String ysqyZzxx;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    private Date rksj;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date gxsj;
    /**
     * 入库人员
     */
    @ApiModelProperty(value = "入库人员")
    private String rkry;
    /**
     * 更新人员
     */
    @ApiModelProperty(value = "更新人员")
    private String gxry;
    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态")
    private Integer jlzt;
    /**
     * 安监办企业列表
     */
    @ApiModelProperty(value = "安监办企业列表")
    private String ajbqylb;
    /**
     * 局内人员企业列表
     */
    @ApiModelProperty(value = "局内人员企业列表")
    private String jnryqylb;
    /**
     * 安全生产标准化等级VALUE
     */
    @ApiModelProperty(value = "安全生产标准化等级VALUE")
    private String aqscdjvalue;
    /**
     * 启用状态
     */
    @ApiModelProperty(value = "启用状态")
    private String qyzt;
    /**
     * 数据来源
     */
    @ApiModelProperty(value = "数据来源")
    private String sjly;
    /**
     * 登陆账号
     */
    @ApiModelProperty(value = "登陆账号")
    private String dlzh;
    /**
     * 风险评估等级
     */
    @ApiModelProperty(value = "风险评估等级")
    private String fxpgdj;
    /**
     * 重大危险源等级id
     */
    @ApiModelProperty(value = "重大危险源等级id")
    private String zdwxydjid;
    /**
     * 重大危险源等级value
     */
    @ApiModelProperty(value = "重大危险源等级value")
    private String zdwxydjvalue;
    /**
     * 企业分类id
     */
    @ApiModelProperty(value = "企业分类id")
    private String qyflid;
    /**
     * 企业分类value
     */
    @ApiModelProperty(value = "企业分类value")
    private String qyflvalue;
    /**
     * 诚信管理-诚信等级
     */
    @ApiModelProperty(value = "诚信管理-诚信等级")
    private String cxglcxdj;
    /**
     * 诚信管理-是否黑名单
     */
    @ApiModelProperty(value = "诚信管理-是否黑名单")
    private String cxglsfhmd;
    /**
     * 诚信管理-不良记录数
     */
    @ApiModelProperty(value = "诚信管理-不良记录数")
    private Integer cxglbljls;
    /**
     * 诚信管理-跟新时间
     */
    @ApiModelProperty(value = "诚信管理-跟新时间")
    private Date cxglgxsj;
    /**
     * 法人代表姓名
     */
    @ApiModelProperty(value = "法人代表姓名")
    private String frdbxm;
    /**
     * 法人代表电话
     */
    @ApiModelProperty(value = "法人代表电话")
    private String frdbdh;
    /**
     * 房东姓名
     */
    @ApiModelProperty(value = "房东姓名")
    private String fdxm;
    /**
     * 房东联系方式
     */
    @ApiModelProperty(value = "房东联系方式")
    private String fdlxfs;
    /**
     * 所属部门
     */
    @ApiModelProperty(value = "所属部门")
    private String ajbbmbh;
    /**
     * 所属部门
     */
    @ApiModelProperty(value = "所属部门")
    private String jnrybmbh;
    /**
     * 是否推入市局 0否 1是
     */
    @ApiModelProperty(value = "是否推入市局 0否 1是")
    private String sftrsj;
    /**
     * 科达企业编号，用来对照
     */
    @ApiModelProperty(value = "科达企业编号，用来对照")
    private String kdqybh;

    public ASafeQyjcxx() {
    }

    public ASafeQyjcxx(EnterpriseResponse res) {

        this.jd = conversion(res.getLongitude());
        this.wd = conversion(res.getLatitude());
        this.zcdz = res.getRegisterAddress();
        this.fdqymc = res.getParkName();
        this.fdqylxr = res.getPersonInCharge();
        this.fdqylxdh = res.getPersonInChargePhone();
        this.xzqhbh = "320506103";
        this.xzqhmc = "木渎镇";
        this.xzqhnbbm = "1.320000.320500.320506.320506103";
        this.wgbh = res.getLocationID();
        this.wgmc = res.getLocationName();

//        this.qyxzid = res.getTypeID();
//        this.qyxzvalue = res.getTypeName();
//        this.hylbmlid = res.getIndustryID();
//        this.hylbmlvalue = res.getIndustryName();
//        this.qyzt = res.getStatus();

        this.cyrysl = String.valueOf(res.getPerson());
        this.frdbxm = res.getPersonName();
        this.frdbdh = res.getPhone();


    }

    /**
     * 字符串转double
     *
     * @param number 字符串
     * @return double
     */
    private Double conversion(String number) {
        double num = Double.parseDouble(number);
        // 使用 NumberFormat 格式化保留 5 位小数
        NumberFormat nf = NumberFormat.getInstance();
        nf.setMaximumFractionDigits(5);
        return Double.parseDouble(nf.format(num));
    }
}

