package com.mudu.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 停复工表(ASafeTfg)表实体类
 *
 * @author wu
 * @since 2024-06-07 17:07:15
 */
@Data
@ApiModel("停复工表实体类")
public class ASafeTfg implements Serializable {

    private static final long serialVersionUID = 140502563309362949L;
    /**
     * 主键
     */
    @ApiModelProperty(value = "主键")
    private String xxbh;
    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    private String qymc;
    /**
     * 对应企业基础信息表中的主键ID
     */
    @ApiModelProperty(value = "对应企业基础信息表中的主键ID")
    private String qybh;
    /**
     * 统一社会信用代码
     */
    @ApiModelProperty(value = "统一社会信用代码")
    private String tyshxydm;
    /**
     * 格式： yyyy-MM-dd HH:mm:ss
     */
    @ApiModelProperty(value = "格式： yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date tgkssj;
    /**
     * 格式： yyyy-MM-dd HH:mm:ss
     */
    @ApiModelProperty(value = "格式： yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date tgjssj;
    /**
     * 停工原因
     */
    @ApiModelProperty(value = "停工原因")
    private String tgyy;
    /**
     * 停工附件信息
     */
    @ApiModelProperty(value = "停工附件信息")
    private String fjxx;
    /**
     * 入库人员
     */
    @ApiModelProperty(value = "入库人员")
    private String rkry;
    /**
     * 格式： yyyy-MM-dd HH:mm:ss
     */
    @ApiModelProperty(value = "格式： yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date rksj;
    /**
     * 更新人员
     */
    @ApiModelProperty(value = "更新人员")
    private String gxry;
    /**
     * 格式： yyyy-MM-dd HH:mm:ss
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @ApiModelProperty(value = "格式： yyyy-MM-dd HH:mm:ss")
    private Date gxsj;
    /**
     * 0：逻辑删除
     * 1：正常
     */
    @ApiModelProperty(value = "0：逻辑删除 1：正常")
    private Integer jlzt;
    /**
     * 审核状态 0待审核 1已通过 2已驳回
     */
    @ApiModelProperty(value = "审核状态 0待审核 1已通过 2已驳回")
    private String shzt;
}

