package com.mudu.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 停复工审核信息表(ASafeTfgsh)表实体类
 *
 * @author wu
 * @since 2024-06-07 17:07:16
 */
@Data
@ApiModel("停复工审核信息表实体类")
@TableName(value = "a_safe_tfgsh")
public class ASafeTfgsh implements Serializable {

    private static final long serialVersionUID = -60575438286733802L;

    @TableId
    private String xxbh;
    /**
     * 停复工编号
     */
    @ApiModelProperty(value = "停复工编号")
    private String tfgbh;
    /**
     * 审核时间
     */
    @ApiModelProperty(value = "审核时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private String shsj;
    /**
     * 审核结果 1审核通过 2审核驳回
     */
    @ApiModelProperty(value = "审核结果 1审核通过 2审核驳回")
    private String shjg;
    /**
     * 原因
     */
    @ApiModelProperty(value = "原因")
    private String yy;
    /**
     * 记录状态 0逻辑删除 1正常
     */
    @ApiModelProperty(value = "记录状态 0逻辑删除 1正常")
    private Integer jlzt;
    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date gxsj;
    /**
     * 更新人员
     */
    @ApiModelProperty(value = "更新人员")
    private String gxry;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date rksj;
    /**
     * 入库人员
     */
    @ApiModelProperty(value = "入库人员")
    private String rkry;
}

