package com.mudu.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * 企业基本信息表(Enterprise)表实体类
 *
 * @author wu
 * @since 2024-02-22 16:14:24
 */
@Data
@ApiModel("企业基本信息表实体类")
@TableName(value = "enterprise")
public class Enterprise implements Serializable {

    private static final long serialVersionUID = 801806350790350898L;
    @TableField(value = "ID")
    private String id;

    /**
     * 所属园区ID
     */
    @ApiModelProperty(value = "所属园区ID")
    private String parkid;

    /**
     * 所属园区
     */
    @ApiModelProperty(value = "所属园区")
    private String parkname;

    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    private String name;

    /**
     * 企业类型ID
     */
    @ApiModelProperty(value = "企业类型ID")
    private String typeid;

    /**
     * 企业类型
     */
    @ApiModelProperty(value = "企业类型")
    private String typename;

    /**
     * 机构代码证
     */
    @ApiModelProperty(value = "机构代码证")
    private String certificatecode;

    /**
     * 所属行业ID
     */
    @ApiModelProperty(value = "所属行业ID")
    private String industryid;

    /**
     * 所属行业
     */
    @ApiModelProperty(value = "所属行业")
    private String industryname;

    /**
     * 归宿地ID
     */
    @ApiModelProperty(value = "归宿地ID")
    private String locationid;

    /**
     * 归属地
     */
    @ApiModelProperty(value = "归属地")
    private String locationname;

    /**
     * 法人
     */
    @ApiModelProperty(value = "法人")
    private String legalperson;

    /**
     * 法人电话
     */
    @ApiModelProperty(value = "法人电话")
    private String legalpersonphone;

    /**
     * 注册地
     */
    @ApiModelProperty(value = "注册地")
    private String registeraddress;

    /**
     * 经营地
     */
    @ApiModelProperty(value = "经营地")
    private String businessaddress;

    /**
     * 经度
     */
    @ApiModelProperty(value = "经度")
    private String longitude;

    /**
     * 纬度
     */
    @ApiModelProperty(value = "纬度")
    private String latitude;

    /**
     * 租用面积
     */
    @ApiModelProperty(value = "租用面积")
    private Double rentspace;

    /**
     * 具体楼层位置
     */
    @ApiModelProperty(value = "具体楼层位置")
    private String floor;

    /**
     * 人数
     */
    @ApiModelProperty(value = "人数")
    private Integer person;

    /**
     * 描述
     */
    @ApiModelProperty(value = "描述")
    private String description;

    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private Integer status;

    /**
     * 企业图片关联ID
     */
    @ApiModelProperty(value = "企业图片关联ID")
    private String imagerelationid;

    /**
     * 企业产证关联ID
     */
    @ApiModelProperty(value = "企业产证关联ID")
    private String imagecertificateid;

    /**
     * 环评文件照片关联ID
     */
    @ApiModelProperty(value = "环评文件照片关联ID")
    private String imageenvironmentalprotectionid;

    /**
     * 营业执照关联ID
     */
    @ApiModelProperty(value = "营业执照关联ID")
    private String imagebusinesslicenseid;

    /**
     * 土地证关联ID
     */
    @ApiModelProperty(value = "土地证关联ID")
    private String imagelandcertificateid;

    /**
     * 消防验收证明关联ID
     */
    @ApiModelProperty(value = "消防验收证明关联ID")
    private String imagefiresafetyid;

    /**
     * 安全证书关联ID
     */
    @ApiModelProperty(value = "安全证书关联ID")
    private String imagesafetyid;

    /**
     * 经营产品ID
     */
    @ApiModelProperty(value = "经营产品ID")
    private String businessscopeid;

    /**
     * 经营产品
     */
    @ApiModelProperty(value = "经营产品")
    private String businessscope;

    /**
     * 风险等级ID
     */
    @ApiModelProperty(value = "风险等级ID")
    private String risklevelid;

    /**
     * 风险等级
     */
    @ApiModelProperty(value = "风险等级")
    private String risklevel;

    /**
     * 风险源等级ID
     */
    @ApiModelProperty(value = "风险源等级ID")
    private String risksourcelevelid;

    /**
     * 风险源等级
     */
    @ApiModelProperty(value = "风险源等级")
    private String risksourcelevel;

    /**
     * 风险源类型ID
     */
    @ApiModelProperty(value = "风险源类型ID")
    private String risksourcetypeid;

    /**
     * 风险源类型
     */
    @ApiModelProperty(value = "风险源类型")
    private String risksourcetype;

    /**
     * 入驻日期
     */
    @ApiModelProperty(value = "入驻日期")
    private Date indatetime;

    /**
     * 合同结束日期
     */
    @ApiModelProperty(value = "合同结束日期")
    private Date enddatetime;

    /**
     * 搬离日期
     */
    @ApiModelProperty(value = "搬离日期")
    private Date leavedatetime;

    /**
     * 是否重点监管
     */
    @ApiModelProperty(value = "是否重点监管")
    private Integer iskeysupervision;

    /**
     * 安全等级管理ID
     */
    @ApiModelProperty(value = "安全等级管理ID")
    private String safelevelid;

    /**
     * 安全登记管理
     */
    @ApiModelProperty(value = "安全登记管理")
    private String safelevelname;

    /**
     * 标准化等级ID
     */
    @ApiModelProperty(value = "标准化等级ID")
    private String standardlevelid;

    /**
     * 标准化等级
     */
    @ApiModelProperty(value = "标准化等级")
    private String standardlevel;

    /**
     * 网格员ID
     */
    @ApiModelProperty(value = "网格员ID")
    private String networkuserid;

    /**
     * 网格员名称
     */
    @ApiModelProperty(value = "网格员名称")
    private String networkusername;

    /**
     * 分管领导ID
     */
    @ApiModelProperty(value = "分管领导ID")
    private String masteruserid;

    /**
     * 分管领导
     */
    @ApiModelProperty(value = "分管领导")
    private String masterusername;

    /**
     * 空间数据
     */
    @ApiModelProperty(value = "空间数据")
    private String mapshape;

    private String adduserid;

    private String addusername;

    private Date adddatetime;

    private String edituserid;

    private String editusername;

    private Date editdatetime;

    private Integer isdel;

    /**
     * 是否规上企业(0/1)
     */
    @ApiModelProperty(value = "是否规上企业(0/1)")
    private Integer standardsized;

    /**
     * 是否上亿企业(0/1)
     */
    @ApiModelProperty(value = "是否上亿企业(0/1)")
    private Integer onehundredmillion;

    /**
     * 标记(默认0未标记,1已标记)
     */
    @ApiModelProperty(value = "标记(默认0未标记,1已标记)")
    private Integer lab;

}

