package com.mudu.entity.dto.request;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.mudu.entity.ACheckQuatzZichaEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author dong
 * @since 2024/3/20 14:06
 */
@Data
@ApiModel("定时任务自查请求类")
public class ACheckQuatzZichaRequest {


    /**
     * 工单id
     */
    @ApiModelProperty(value = "工单id")
    private String taskId;


    /**
     * 企业id
     */
    @ApiModelProperty(value = "企业id")
    private String enterpriseID;

    /**
     * 风险点id
     */
    @ApiModelProperty(value = "人员id")
    private String addUserID;

    /**
     * 创建时间
     */
    @ApiModelProperty("上报时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportDateTime;
    /**
     * 检查时间
     */
    @ApiModelProperty("结束时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDateTime;

    /**
     * 定时任务自查实体类
     */
    @ApiModelProperty(value = "定时任务自查实体类")
    List<ACheckQuatzZichaEntity> list;
}
