package com.mudu.entity.dto.request;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;


/**
 * 班前班后表(ASafeBqbhpx)表实体类
 *
 * @author wu
 * @since 2024-03-27 09:54:37
 */
@Data
@ApiModel("班前班后表实体类")
public class ASafeBqbhpxRequest implements Serializable {

    private static final long serialVersionUID = -70204298929184134L;
    /**
     * 信息编号
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "信息编号")
    private String xxbh;
    /**
     * 企业编号
     */
    @ApiModelProperty(value = "企业编号")
    private String qybh;
    /**
     * 班组名称
     */
    @ApiModelProperty(value = "班组名称")
    private String bzmc;
    /**
     * 班组长姓名
     */
    @ApiModelProperty(value = "班组长姓名")
    private String bzzxm;
    /**
     * 参培人数
     */
    @ApiModelProperty(value = "参培人数")
    private Integer cprs;

    /**
     * 培训时间
     */
    @ApiModelProperty(value = "培训时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date pxkssj;

    /**
     * 宣传内容简述
     */
    @ApiModelProperty(value = "宣传内容简述")
    private String xcnrjs;
    /**
     * 行政区划
     */
    @ApiModelProperty(value = "行政区划")
    private String xzqh;
    /**
     * 行政区划名称
     */
    @ApiModelProperty(value = "行政区划名称")
    private String xzqhmc;
    /**
     * 培训现场照片
     */
    @ApiModelProperty(value = "培训现场照片")
    private String pxxctp;
    /**
     * 入库人员
     */
    @ApiModelProperty(value = "入库人员")
    private String rkry;

    /**
     * 更新人员
     */
    @ApiModelProperty(value = "更新人员")
    private String gxry;
    /**
     * 入库时间
     */
    @ApiModelProperty(value = "入库时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime rksj;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime gxsj;
    /**
     * 记录状态
     */
    @ApiModelProperty(value = "记录状态")
    private Integer jlzt;

    /**
     * 企业信息编号
     */
    @ApiModelProperty(value = "企业信息编号")
    private String qyxxbh;
    /**
     * 企业信用代码
     */
    @ApiModelProperty(value = "企业信用代码")
    private String entCode;
}

